#pragma once

#include "types.h"
#include <stddef.h>

char *strchr(const char *str, int c);
int strcmp(const char *s1, const char *s2);
int strncmp(const char *s1, const char *s2, size_t n);
size_t strlen(const char *str);
char *strstr(const char *haystack, const char *needle);
char *strcpy(char *dest, const char *src);
void *memcpy(void *dest, const void *src, size_t n);
int memcmp(const void *s1, const void *s2, size_t n);
void *memset(void *str, int c, size_t n);
void *memmove(void *dest, const void *src, size_t n);
void bzero(void *s, size_t n);
