#include "types.h"
#include <stddef.h>
#include <stdint.h>

void *memcpy(void *dest, const void *src, size_t n)
{
	u8 *c1 = (u8 *)dest;
	const u8 *c2 = (const u8 *)src;

	for (size_t i = 0; i < n; i++)
		c1[i] = c2[i];
	return c1;
}
