#include "debug.h"
#include "kprintf.h"
#include <stddef.h>

void print_stack(void)
{
	struct stackframe *stack =
	    (struct stackframe *)__builtin_frame_address(0);

	while (stack) {
		kprintf(KERN_DEBUG "fn: %p\n", stack->eip);
		stack = stack->ebp;
	}
}
