#include "keyboard.h"
#include "drivers.h"
#include "interrupts.h"
#include "terminal.h"
#include <stdbool.h>
#include <stdint.h>

static bool new_input_indicator = false;
static struct key_event new_input = {};

void keyboard_handler(struct registers *regs)
{
	(void)regs;
	new_input_indicator = true;
	new_input = terminal_getkey();
}

struct key_event get_key(void)
{
	while (!new_input_indicator)
		;
	new_input_indicator = false;
	return new_input;
}
