#include "debug.h"
#include "kprintf.h"
#include "task.h"
#include "time.h"

#include <stddef.h>

struct task *current_task = NULL;

void scheduler(void)
{
	if (!current_task || current_task->next == current_task)
		return;
	struct task *it = current_task->next;
	while (it && it->status != RUN)
		it = it->next;
	switch_to_task(it);
}
