#pragma once

#include "types.h"
#include <stdbool.h>
#include <stdint.h>

// MSR
bool cpu_has_msr();
void cpu_set_msr(u32 msr, u32 lo, u32 hi);
void cpu_get_msr(u32 msr, u32 *lo, u32 *hi);

// 8259 PIC
void pic_disable(void);
void pic_remap(int offset_master, int offset_slave);

// APIC
void enable_apic(void);
